Page 1 of 1

Live 815 and Sno Leopard 10.6.+ compatibility?

Posted: Mon Nov 08, 2010 4:49 pm
by head
Hi,

After finding conflicting or at best vague mentions of osx 10.6+ snow leopard compatibility with even the latest version of Live,
I would be most grateful for a 100% answer one way or the other...
As I rely on Live as a professional, I cannot take unnecessary risks, of course...

The latest protools9 is not compatible with 10.5+, and this will now constitute a problem using Live.

Live is one of my main tools, but I have to admit being quite surprised that my upgrading to the - now not so recent - system
for mac is still being held up only by Live being up to date...(!?)

Thank you in advance for your reply.
Best wishes,.
M

Re: Live 815 and Sno Leopard 10.6.+ compatibility?

Posted: Mon Nov 08, 2010 6:28 pm
by Ableton_David
Hi, Live 8.2.1 (the latest update) should run fine on Snow Leopard. It's a free update here: http://www.ableton.com/latest-versions

Re: Live 815 and Sno Leopard 10.6.+ compatibility?

Posted: Mon Nov 08, 2010 9:56 pm
by head
Ah...now that makes total ableton sense!...and yes, I have 821, my apologies for saying 815...Marvelous.
THank you for posting so quickly as well!
Best wishes.
M